summaryrefslogtreecommitdiffstats
path: root/source/l/libcap-ng
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libcap-ng')
-rwxr-xr-xsource/l/libcap-ng/libcap-ng.SlackBuild9
-rw-r--r--source/l/libcap-ng/python3.patch12
2 files changed, 3 insertions, 18 deletions
diff --git a/source/l/libcap-ng/libcap-ng.SlackBuild b/source/l/libcap-ng/libcap-ng.SlackBuild
index 2b7c91ad8..fd421fb49 100755
--- a/source/l/libcap-ng/libcap-ng.SlackBuild
+++ b/source/l/libcap-ng/libcap-ng.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libcap-ng
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -75,7 +75,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
@@ -85,9 +85,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Fix byte-compiling python3 bindings
-zcat $CWD/python3.patch.gz | patch -p1 --verbose || exit 1
-
autoreconf -vif
# Configure:
diff --git a/source/l/libcap-ng/python3.patch b/source/l/libcap-ng/python3.patch
deleted file mode 100644
index cf26fe5de..000000000
--- a/source/l/libcap-ng/python3.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -ur libcap-ng-0.7.8.orig/bindings/python3/Makefile.am libcap-ng-0.7.8/bindings/python3/Makefile.am
---- libcap-ng-0.7.8.orig/bindings/python3/Makefile.am 2016-07-24 17:47:34.000000000 +0200
-+++ libcap-ng-0.7.8/bindings/python3/Makefile.am 2017-06-24 16:32:53.957501204 +0200
-@@ -26,6 +26,8 @@
- LIBS = ${top_builddir}/src/libcap-ng.la
- SWIG_FLAGS = -python -py3 -modern
- SWIG_INCLUDES = ${AM_CPPFLAGS}
-+# REMOVE SOMEDAY - without overriding this macro, it uses python2
-+am__py_compile = PYTHON=$(PYTHON3) $(SHELL) $(py_compile)
- py3exec_PYTHON = capng.py
- py3exec_LTLIBRARIES = _capng.la
- py3exec_SOLIBRARIES = _capng.so